Bug 1411803 - tinymce: Script elements filtering in default config implementation allows XSS
Summary: tinymce: Script elements filtering in default config implementation allows XSS
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1411804 1411805
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 14:35 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
2 users (show)

Fixed In Version: tinymce 4.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:17 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-10 14:35:38 UTC
The tinymce media plugin has security controls that aim to mitigate Cross-Site Scripting (XSS) attacks, but did not filter script elements in the default config implementations, allowing an attacker to perform an Cross-Site Scripting (XSS) attack.

References:

https://snyk.io/vuln/npm:tinymce:20150610

Upstream patch:

https://github.com/tinymce/tinymce/commit/9c78e4a4f9aad14f3e86094b36f163177f38c248

Comment 1 Andrej Nemec 2017-01-10 14:38:20 UTC
Created tinymce tracking bugs for this issue:

Affects: epel-6 [bug 1411804]
Affects: fedora-all [bug 1411805]

Comment 2 Kevin Fenzi 2017-01-20 20:56:45 UTC
This should have been fixed in the 4.5.1 update that went out a few weeks ago:

https://bodhi.fedoraproject.org/updates/?packages=tinymce

Comment 3 Product Security DevOps Team 2019-06-08 03:05:17 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.